// Video Capture
//   frame  ۾  ִٰ ٽ.

#include "stdafx.h"
#include <opencv2\opencv.hpp>
#include <iostream>

using namespace std;
using namespace cv;

void video_in()
{
	VideoCapture cap("../_res/stopwatch.avi");
	// cap ü  õ ڵ
	// cap.open(); ص ȴ.    Լȣ
	if (!cap.isOpened()) {
		cerr << "Video open failed!" << endl;
		return;
	}
	// о     
	cout << "Frame width" << cvRound(cap.get(CAP_PROP_FRAME_WIDTH)) << endl;
	cout << "Frame height" << cvRound(cap.get(CAP_PROP_FRAME_HEIGHT)) << endl;
	cout << "Frame count" << cvRound(cap.get(CAP_PROP_FRAME_COUNT)) << endl;

	double fps = cap.get(CAP_PROP_FPS);
	cout << "FPS : " << fps << endl;

	int delay = cvRound(1000 / fps);

	Mat frame, inversed;

	while (true) {
		cap >> frame; //cap ִ frame ϳ frameü ش.
		if (frame.empty())
			break; //frame ٰ Ż.
		inversed = ~frame; // 

		imshow("frame", frame);
		imshow("inversed", inversed);

		if (waitKey(delay) == 27) //ESC Key -> Ƽ 带  ʴ´.
			break;
	}

	destroyAllWindows();
}

int main(void) {
	video_in();

	return 0;
}